package com.hai.order.model;

import lombok.Data;
import java.math.BigDecimal;

/**
 * 创建子订单参数模型
 * @className: CreateOrderModel
 * @author: HuRui
 * @date: 2022/8/16
 **/
@Data
public class CreateOrderChildModel {

    /**
     * 交易订单号
     */
    private String orderNo;

    /**
     * 用户id
     */
    private Long memId;

    /**
     * 用户名称
     */
    private String memName;

    /**
     * 用户手机号
     */
    private String memPhone;

    /**
     * 产品类型
     */
    private Integer goodsType;

    /**
     * 产品Id
     */
    private Long goodsId;

    /**
     * 产品价格
     */
    private BigDecimal goodsPrice;

    /**
     * 商品数量
     */
    private Integer saleCount;

    /**
     * 门店Id
     */
    private Long storeId;


    /** ======================= 油站所需参数 ======================== **/
    // 加油员code
    private String gasStaffCode;
    // 油号
    private String gasOilNo;
    // 枪号
    private String gasGunNo;
    // 代理商价格
    private Boolean isTyAgent;
    /** ======================= 油站所需参数 ======================== **/


}
